> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/input-types/access-control-what-input-do.md).

# AccessControlWhatInputDO

Input object to represent a data object WHAT item for the access control.

```graphql
input AccessControlWhatInputDO {
  dataObjectByName: [AccessControlWhatDoByNameInput!]
  dataObjects: [ID]
  expiresAt: Time
  globalPermissions: [String]
  permissions: [String]
}
```

### Fields

#### dataObjectByName ● [`[AccessControlWhatDoByNameInput!]`](/api/graphql/data-access/input-types/access-control-what-do-by-name-input.md) list input <a href="#data-object-by-name" id="data-object-by-name"></a>

The reference by name to indicate the data object to provide access to. Either this or `dataObjects` needs to be specified.

#### dataObjects ● [`[ID]`](/api/graphql/data-access/scalars/id.md) list scalar <a href="#data-objects" id="data-objects"></a>

The list of data object IDs to provide the access to. Either this or `dataObjectByName` needs to be specified.

#### expiresAt ● [`Time`](/api/graphql/data-access/scalars/time.md) scalar <a href="#expires-at" id="expires-at"></a>

The time at which this WHAT item will expire. Only used for Direct Access grants.

#### globalPermissions ● [`[String]`](/api/graphql/data-access/scalars/string.md) list scalar <a href="#global-permissions" id="global-permissions"></a>

The global permissions to grant on the data object.

#### permissions ● [`[String]`](/api/graphql/data-access/scalars/string.md) list scalar <a href="#permissions" id="permissions"></a>

The permissions to grant on the data object.

### Member Of

[`AccessControlInput`](/api/graphql/data-access/input-types/access-control-input.md) input ● [`addWhatDataObjectsToAccessControl`](/api/graphql/data-access/mutations/add-what-data-objects-to-access-control.md) mutation ● [`addWhatDataObjectsToAccessControlFromAccessRequest`](/api/graphql/data-access/mutations/add-what-data-objects-to-access-control-from-access-request.md) mutation ● `DirectAccessAddInput` input


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/input-types/access-control-what-input-do.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
